Bug 1792468 - Restart services at end of rpm transaction
Summary: Restart services at end of rpm transaction
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F34Changes
TreeView+ depends on / blocked
 
Reported: 2020-01-17 17:01 UTC by Ben Cotton
Modified: 2021-04-27 14:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-27 14:31:10 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2020-01-17 17:01:33 UTC
This is a tracking bug for Change: Restart services at end of rpm transaction
For more details, see: https://fedoraproject.org/wiki/Changes/Restart_services_at_end_of_rpm_transaction

Scriptlets to restart each service that should be restarted in each rpm package will be replaced by a declaration in the unit file and an rpm transaction trigger that fires at the end and restarts all services.

Comment 1 Ben Cotton 2020-02-11 18:13:57 UTC
Branching Fedora 32 Changes from rawhide. Today is the Code Complete (testable) deadline. Please make sure your bug status is set appropriately:

Complete (testable) -> MODIFIED
Complete (100% code complete) -> ON_QA (deadline is 25 February)

If you need to defer this change until Fedora 33, please set the version back to 'rawhide'.

Comment 2 Zbigniew Jędrzejewski-Szmek 2020-02-25 09:39:00 UTC
This is still not done. I'll reassign to F33.

Comment 3 Ben Cotton 2020-08-11 13:10:48 UTC
Branching F33 Change Tracker bugs.

Today is the code complete (testable) deadline. All bugs should be at least in MODIFIED state by now to indicate they are testable.

Comment 4 Ben Cotton 2020-08-19 12:04:37 UTC
Deferred to Fedora 34: https://pagure.io/fesco/issue/2463#comment-671934

Comment 5 Luca BRUNO 2020-12-22 08:12:31 UTC
Capturing a comment https://github.com/coreos/fedora-coreos-tracker/issues/704, please let's make sure the transaction trigger can gracefully degrade/cope with offline scenarios (e.g. rpm-ostree composing an OS image).

Comment 6 Ben Cotton 2021-02-10 21:44:39 UTC
We have reached the 'Code Complete (testable)' milestone in the Fedora 34 release cycle. If your Change is in a testable state, please set the status to MODIFIED. If this Change will not be ready for Fedora 34, please set the version to rawhide.

The 100% code complete deadline is Tue 2021-02-23.

Comment 7 Ben Cotton 2021-02-16 15:52:06 UTC
Reminder: The change complete (100% complete) deadline for Fedora 34 changes is Tuesday 23 February. At that point, changes should be 100% code complete, along with supporting documentation where appropriate. Please indicate this by setting the tracker bug for your change to ON_QA.

Comment 8 Ben Cotton 2021-02-23 16:38:08 UTC
Today is the change complete (100% complete) deadline for Fedora 34 changes. At this point, changes should be 100% code complete, along with supporting documentation where appropriate. Please indicate this by setting the tracker bug for your change to ON_QA. If you need to defer this change to Fedora 35, please set the version to 'rawhide'.

As a reminder, the Beta freeze is now in effect.

Comment 9 Zbigniew Jędrzejewski-Szmek 2021-02-23 18:28:11 UTC
systemd-248-rc1-2.fc3[35] has reworked rpm macros and transfiletriggers that implement this.

Comment 10 Ben Cotton 2021-04-27 14:31:10 UTC
Closing Changes Tracking bugs for the Fedora Linux 34 release. If your change did not make it into the release, please reopen and needinfo bcotton.


Note You need to log in before you can comment on or make changes to this bug.